body {
    display: flex;
    align-items: center;
    flex-direction: column;
    background: radial-gradient(at top right, #444, #333);
    background-repeat: no-repeat;
    width: 100vw;
    height: 100vh;
    margin: 0px;
    font-family: Arial, Helvetica, sans-serif;
    box-sizing: border-box;
}

main {
    position: relative;
    width: 80%;
    height: 85%;
    background-color: #222;
    border-radius: 20px;
    box-shadow: -5px 5px 10px 10px#333;
    border: 3px solid #555;
    overflow-x: hidden;
    white-space: nowrap;
    overflow-y: scroll;
    scrollbar-width: none;
}

main::-webkit-scrollbar {
    display: none;
}

.loader {
    position: absolute;
    width: 100px;
    aspect-ratio: 1/1;
    border: 4px solid transparent;
    border-right-color: whitesmoke;
    border-left-color: whitesmoke;
    border-radius: 100px;
    top: calc(50% - 50px);
    left: calc(50% - 50px);
    animation: load 2s linear infinite;
}

.loader:has(+*) {
    animation: loadend 0.2s linear forwards, load 2s linear infinite;
}

@keyframes load {
    from {
        transform: rotateZ(0deg);
    }

    to {
        transform: rotateZ(360deg);
    }
}

@keyframes loadend {
    0% {
        scale: 1;
    }

    10% {
        scale: 1.1;
    }

    100% {
        scale: 0.5;
        opacity: 0;
    }
}


header div h2,
header div p {
    margin: 0px;
    padding: 0px;

}

header div h2 {
    font-size: 1.8em;
    color: rgb(190, 190, 190);
}

header div p {
    color: rgb(230, 230, 230);
}

header div {
    padding: 20px;
}

.project {
    opacity: 0;
    display: flex;
    justify-content: space-between;
    margin: 3%;
    padding: 2%;
    border-radius: 10px;
    background-color: #444;
    animation: comein 1s var(--delay) ease forwards;
}




h1 {
    color: whitesmoke;
    margin: 10px 0px;
}

.project a {
    padding: 1%;
}

main p,
main a {
    color: dodgerblue;
    text-decoration: none;
}



button {
    display: flex;
    justify-content: center;
    align-items: center;
    align-self: flex-end;
    width: 50px;
    height: 50px;
    border: none;
    background-color: transparent;
    border-radius: 50%;
}

button:hover {
    background-color: #555;
}

button:hover::before {
    animation: copy 1s ease forwards;
}


button::before {
    content: 'Copy URL';
    background-color: #444;
    color: #999999;
    font-size: 1em;
    position: absolute;
    right: 35px;
    bottom: -15px;
    width: max-content;
    padding: 10px;
    border-radius: 5px;
    margin: 10px;
    opacity: 0;
}

svg {
    pointer-events: none;
}

footer {
    width: 100%;
    margin-top: 30px;
    padding: 20px;
    box-sizing: border-box;
    background-color: #222;
}

footer p,
footer span {
    color: rgb(230, 230, 230);
}

footer a {
    color: dodgerblue;
}

.legal {
    display: block;
    padding: 10%;
}

.legal p,
.legal li {
    color: rgb(230, 230, 230);
}

@keyframes copy {
    0% {
        opacity: 0;
    }

    70% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes comein {
    0% {
        opacity: 0;
        transform: perspective(1000px) translateY(-10px) scale(0.9) rotateX(-30deg);
    }

    100% {
        opacity: 1;
        transform: translateY(0px);
    }
}

@media (max-width: 768px) {
    header p {
        font-size: 0.8em;
    }

    header h2 {
        font-size: 1.5em !important;
    }

    .project h1 {
        font-size: 1.1em;
    }

    .project p {
        font-size: 0.6em;
    }

    button {
        width: 30px;
    }
}